package com.ssj.service.conch.schoolmaster.request;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

public class ForSystemMatchRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "studentId", value = "学生id", required = true)
    private String studentId;

    @ApiModelProperty(name = "subjectName", value = "科目名称", required = false)
    private String subjectName;

	@ApiModelProperty(name = "teacherName", value = "老师名称，用于搜索", required = false)
	private String teacherName;

	@ApiModelProperty(name = "attendClassTimeList", value = "计划上课时间", required = true)
	private List<String> attendClassTimeList;
	
	@ApiModelProperty(name = "isHasListenTest", value = "是否有试听课（0没有 1有）", required = true)
    private int isHasListenTest;

	@ApiModelProperty(name = "teacherType", value = "授课老师类型，1注册老师，2明星老师，3学霸老师", required = false)
	private int teacherType;

	@ApiModelProperty(name = "orderType", value = "排序类别，1离我最近，2口碑最好，3授课最多", required = false)
	private int orderType;

	@ApiModelProperty(name = "lon", value = "经度", required = false)
	private String lon;

	@ApiModelProperty(name = "lat", value = "纬度", required = false)
	private String lat;

	@ApiModelProperty(name = "grade", value = "三年级以下, 四年级，五年级，六年级", required = false)
	private String grade;

	@ApiModelProperty(name = "teacherSex", value = "1男2女0未知", required = false)
	private int teacherSex;

	@ApiModelProperty(name = "schoolAgeType", value = "1->5年以下，2->5到10年，3->10年以上", required = false)
	private int schoolAgeType;

	@ApiModelProperty(name = "teacherTimeType", value = "可授课时段，1->A时段，08:00-12:00， 2->B时段，12:00-18:00,3->19:00-22:00", required = false)
	private List<Integer> teacherTimeList = new ArrayList<>();

	public String getStudentId() {
		return studentId;
	}

	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public List<String> getAttendClassTimeList() {
		return attendClassTimeList;
	}

	public void setAttendClassTimeList(List<String> attendClassTimeList) {
		this.attendClassTimeList = attendClassTimeList;
	}

	public int getIsHasListenTest() {
		return isHasListenTest;
	}

	public void setIsHasListenTest(int isHasListenTest) {
		this.isHasListenTest = isHasListenTest;
	}

	public int getTeacherType() {
		return teacherType;
	}

	public void setTeacherType(int teacherType) {
		this.teacherType = teacherType;
	}

	public int getOrderType() {
		return orderType;
	}

	public void setOrderType(int orderType) {
		this.orderType = orderType;
	}

	public String getLon() {
		return lon;
	}

	public void setLon(String lon) {
		this.lon = lon;
	}

	public String getLat() {
		return lat;
	}

	public void setLat(String lat) {
		this.lat = lat;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public List<Integer> getTeacherTimeList() {
		return teacherTimeList;
	}

	public void setTeacherTimeList(List<Integer> teacherTimeList) {
		this.teacherTimeList = teacherTimeList;
	}

	public int getTeacherSex() {
		return teacherSex;
	}

	public void setTeacherSex(int teacherSex) {
		this.teacherSex = teacherSex;
	}

	public int getSchoolAgeType() {
		return schoolAgeType;
	}

	public void setSchoolAgeType(int schoolAgeType) {
		this.schoolAgeType = schoolAgeType;
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
}
